MSK4TextInternal Namespace Reference

Internal: the structures of a MSK4Text. More...

## Classes

class | FontName
| Internal: class to store a font name: name with sysid. More...
struct | Font
| Internal: class to store a font properties. More...
struct | Paragraph
| Internal: class to store a paragraph properties. More...
struct | Ftnt
| Internal: class to store footnote definition. More...
struct | Token
| Internal: class to store field definition: TOKN entry. More...
struct | Object
| Internal: class to store field definition: TOKN entry. More...
struct | DataPLC
| Internal: class to store the PLC: Pointer List Content ? More...
struct | State
| Internal: the state of a MSK4Text. More...

## Enumerations

enum | PLCType { BTE =0, PGD, FTNT, TOKEN, EOBJ, Unknown }
| different types More...

## Functions

std::ostream & | operator<< (std::ostream &o, FontName const &ft)
| operator<< for a font name More...
std::ostream & | operator<< (std::ostream &o, Font const &ft)
| operator<< for a font More...
std::ostream & | operator<< (std::ostream &o, Paragraph const &ind)
| operator<< More...
std::ostream & | operator<< (std::ostream &o, Ftnt const &ftnt)
| operator<< for footnote More...
std::ostream & | operator<< (std::ostream &o, Token const &tok)
| operator<< for Token More...
std::ostream & | operator<< (std::ostream &o, Object const &obj)
| operator<< for Object More...
std::ostream & | operator<< (std::ostream &o, DataPLC const &plc)
| operator<< for DataPLC More...

## Detailed Description

Internal: the structures of a MSK4Text.

## Enumeration Type Documentation

enum MSK4TextInternal::PLCType

different types

- BTE: font/paragraph properties
- PGD: page break
- FTNT: footnote
- TOKEN: field type

Enumerator
BTE |
PGD |
FTNT |
TOKEN |
EOBJ |
Unknown |

## Function Documentation

std::ostream& MSK4TextInternal::operator<< | ( | std::ostream & | o,
|  | FontName const & | ft
| ) |  |

operator<< for a font name

std::ostream& MSK4TextInternal::operator<< | ( | std::ostream & | o,
|  | Font const & | ft
| ) |  |

operator<< for a font

operator <<

std::ostream& MSK4TextInternal::operator<< | ( | std::ostream & | o,
|  | Paragraph const & | ind
| ) |  |

operator<<

operator <<

std::ostream& MSK4TextInternal::operator<< | ( | std::ostream & | o,
|  | Ftnt const & | ftnt
| ) |  |

operator<< for footnote

operator<<

std::ostream& MSK4TextInternal::operator<< | ( | std::ostream & | o,
|  | Token const & | tok
| ) |  |

operator<< for Token

operator <<

std::ostream& MSK4TextInternal::operator<< | ( | std::ostream & | o,
|  | Object const & | obj
| ) |  |

operator<< for Object

operator <<

std::ostream& MSK4TextInternal::operator<< | ( | std::ostream & | o,
|  | DataPLC const & | plc
| ) |  |

operator<< for DataPLC

operator<<